# Modify this variable to fit your NEORV32 setup (neorv32 home folder)
OSFLAG 				:=

ifeq ($(OS),Windows_NT)
NEORV32_HOME ?= ..\..\..
sim-check: sim
	cat $(NEORV32_HOME)\sim\simple\neorv32.uart0.sim_mode.text.out | grep "Hello world! :)"

include $(NEORV32_HOME)\sw\common\common.mk
else

NEORV32_HOME ?= ../../..

sim-check: sim
	cat $(NEORV32_HOME)/sim/simple/neorv32.uart0.sim_mode.text.out | grep "Hello world! :)"

include $(NEORV32_HOME)/sw/common/common.mk
endif 

